﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RoadTrain.Entities
{
    public class EntityRoadTrainWithTank : EntityRoadTrain
    {
        public Color AdditionalColor { get; private set; }
        public bool Tank { get; private set; }
        public bool Brush { get; private set; }
        public EntityRoadTrainWithTank(int speed, double weight, Color bodyColor, Color
       additionalColor, bool tank, bool brush)
            : base (speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Tank = tank;
            Brush = brush;
        }
    }
}