﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using RoadTrain.DrawingObjects;


namespace RoadTrain.MovementStrategy
{
    public interface IMoveableObject
    {
        ObjectParameters? GetObjectPosition { get; }
        int GetStep { get; }
        bool CheckCanMove(DirectionType direction);
        void MoveObject(DirectionType direction);
    }
}